API

Update district

POST/api/crm/v2/districts.updatev2
operationId: districts.update

Updates a district. Parameters day_mode_{district_id}_1 are required — for example, day_mode_55326_1: 1.

Authorization

api-token + language + role

Query parameters

branch_idintegerrequired

Example: 8785

Request body application/json

object
idintegerrequired

Example: 1

namestringrequired

Example: Central

colorstring

Color in HEX format without the leading "#" symbol. The color is stored in polygons, so it is saved only for districts with shapes. If the field is not provided, the color remains unchanged.

Example: 3949AB

pickup_address_idinteger

Example: 1

operator_idintegerrequired

Operator ID

Example: 1

delivery_timeintegerrequired

Delivery time

Example: 60

other_delivery_time_enabledboolean

Special delivery time enabled for a specific period

Example: true

other_delivery_timeintegerrequired

Increased delivery time during a specific period

Example: 90

other_delivery_time_periodsstringrequired

Special delivery time period

Example: 00:00 - 23:59

paid_delivery_enabledboolean

Paid delivery

Example: true

cost_of_deliverynumberrequired

Delivery cost

Example: 100

minimum_order_amountnumberrequired

Minimum order amount

Example: 200

free_delivery_fromnumberrequired

Order amount for free delivery

Example: 400

other_minimum_order_amount_enabledboolean

Special minimum order amount enabled for a specific period

Example: true

other_minimum_order_amountnumberrequired

Minimum order amount for a specific period

Example: 300

other_minimum_order_amount_periodsstringrequired

Example: 00:00 - 23:59

other_minimum_order_amount_daysarray of integer

Days of the week for a special minimum order amount

redirect_district_idinteger

District to which orders are redirected after closure

Example: 55301

timeworkstring

Example: 00:00 - 23:59

Responses

OK

object
statusstringrequired

Values:successerror

Example: success

dataobject